#
# Copyright (c) 2002, 2003 Art Haas
#
# This file is part of PythonCAD.
# 
# PythonCAD is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# PythonCAD is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with PythonCAD; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

import gtk
import Generic.globals
import Interface.Gtk.gtkimage

def add_image(gtkimage):
    """Store a reference to a loaded image.

add_image(gtkimage)
    """
    if not isinstance(gtkimage, Interface.Gtk.gtkimage.GTKImage):
        raise TypeError, "Invalid image: "+ `gtkimage`
    Generic.globals.imagelist.append(gtkimage)

def del_image(gtkimage):
    """Remove a reference to a loaded image.

del_image(gtkimage)
    """
    if not isinstance(gtkimage, Interface.Gtk.gtkimage.GTKImage):
        raise TypeError, "Invalid image: " + `gtkimage`
    for _i in xrange(len(Generic.globals.imagelist)):
        _gimage = Generic.globals.imagelist[_i]
        if gtkimage is _gimage:
            del Generic.globals.imagelist[_i]
            _gimage.window.destroy()
            if not len(Generic.globals.imagelist):
                gtk.main_quit()
            break
